import enum

def rgb(r:int,g:int,b:int) -> str:
    """
    Generate a color-string from r,g,b-values
    :param r: red
    :param g: green
    :param b: blue
    :return: Finished color-string
    """

    return f"#{r:#05x}{g:#05x}{b:#05x}".replace("0x","")

class Color:
    # gray0-gray99 weren't included, except for gray0, gray20, gray40,...
    snow = "snow"
    ghost_white = "ghost white"
    white_smoke = "white smoke"
    gainsboro = "gainsboro"
    floral_white = "floral white"
    old_lace = "old lace"
    linen = "linen"
    antique_white = "antique white"
    papaya_whip = "papaya whip"
    blanched_almond = "blanched almond"
    bisque = "bisque"
    peach_puff = "peach puff"
    navajo_white = "navajo white"
    lemon_chiffon = "lemon chiffon"
    mint_cream = "mint cream"
    azure = "azure"
    alice_blue = "alice blue"
    lavender = "lavender"
    lavender_blush = "lavender blush"
    misty_rose = "misty rose"
    dark_slate_gray = "dark slate gray"
    dim_gray = "dim gray"
    slate_gray = "slate gray"
    light_slate_gray = "light slate gray"
    gray = "gray"
    light_grey = "light grey"
    midnight_blue = "midnight blue"
    navy = "navy"
    cornflower_blue = "cornflower blue"
    dark_slate_blue = "dark slate blue"
    slate_blue = "slate blue"
    medium_slate_blue = "medium slate blue"
    light_slate_blue = "light slate blue"
    medium_blue = "medium blue"
    royal_blue = "royal blue"
    blue = "blue"
    dodger_blue = "dodger blue"
    deep_sky_blue = "deep sky blue"
    sky_blue = "sky blue"
    light_sky_blue = "light sky blue"
    steel_blue = "steel blue"
    light_steel_blue = "light steel blue"
    light_blue = "light blue"
    powder_blue = "powder blue"
    pale_turquoise = "pale turquoise"
    dark_turquoise = "dark turquoise"
    medium_turquoise = "medium turquoise"
    turquoise = "turquoise"
    cyan = "cyan"
    light_cyan = "light cyan"
    cadet_blue = "cadet blue"
    medium_aquamarine = "medium aquamarine"
    aquamarine = "aquamarine"
    dark_green = "dark green"
    dark_olive_green = "dark olive green"
    dark_sea_green = "dark sea green"
    sea_green = "sea green"
    medium_sea_green = "medium sea green"
    light_sea_green = "light sea green"
    pale_green = "pale green"
    spring_green = "spring green"
    lawn_green = "lawn green"
    medium_spring_green = "medium spring green"
    green_yellow = "green yellow"
    lime_green = "lime green"
    yellow_green = "yellow green"
    forest_green = "forest green"
    olive_drab = "olive drab"
    dark_khaki = "dark khaki"
    khaki = "khaki"
    pale_goldenrod = "pale goldenrod"
    light_goldenrod_yellow = "light goldenrod yellow"
    light_yellow = "light yellow"
    yellow = "yellow"
    gold = "gold"
    light_goldenrod = "light goldenrod"
    goldenrod = "goldenrod"
    dark_goldenrod = "dark goldenrod"
    rosy_brown = "rosy brown"
    indian_red = "indian red"
    saddle_brown = "saddle brown"
    sandy_brown = "sandy brown"
    dark_salmon = "dark salmon"
    salmon = "salmon"
    light_salmon = "light salmon"
    orange = "orange"
    dark_orange = "dark orange"
    coral = "coral"
    light_coral = "light coral"
    tomato = "tomato"
    orange_red = "orange red"
    red = "red"
    hot_pink = "hot pink"
    deep_pink = "deep pink"
    pink = "pink"
    light_pink = "light pink"
    pale_violet_red = "pale violet red"
    maroon = "maroon"
    medium_violet_red = "medium violet red"
    violet_red = "violet red"
    medium_orchid = "medium orchid"
    dark_orchid = "dark orchid"
    dark_violet = "dark violet"
    blue_violet = "blue violet"
    purple = "purple"
    medium_purple = "medium purple"
    thistle = "thistle"
    snow2 = "snow2"
    snow3 = "snow3"
    snow4 = "snow4"
    seashell2 = "seashell2"
    seashell3 = "seashell3"
    seashell4 = "seashell4"
    AntiqueWhite1 = "AntiqueWhite1"
    AntiqueWhite2 = "AntiqueWhite2"
    AntiqueWhite3 = "AntiqueWhite3"
    AntiqueWhite4 = "AntiqueWhite4"
    bisque2 = "bisque2"
    bisque3 = "bisque3"
    bisque4 = "bisque4"
    PeachPuff2 = "PeachPuff2"
    PeachPuff3 = "PeachPuff3"
    PeachPuff4 = "PeachPuff4"
    NavajoWhite2 = "NavajoWhite2"
    NavajoWhite3 = "NavajoWhite3"
    NavajoWhite4 = "NavajoWhite4"
    LemonChiffon2 = "LemonChiffon2"
    LemonChiffon3 = "LemonChiffon3"
    LemonChiffon4 = "LemonChiffon4"
    cornsilk2 = "cornsilk2"
    cornsilk3 = "cornsilk3"
    cornsilk4 = "cornsilk4"
    ivory2 = "ivory2"
    ivory3 = "ivory3"
    ivory4 = "ivory4"
    honeydew2 = "honeydew2"
    honeydew3 = "honeydew3"
    honeydew4 = "honeydew4"
    LavenderBlush2 = "LavenderBlush2"
    LavenderBlush3 = "LavenderBlush3"
    LavenderBlush4 = "LavenderBlush4"
    MistyRose2 = "MistyRose2"
    MistyRose3 = "MistyRose3"
    MistyRose4 = "MistyRose4"
    azure2 = "azure2"
    azure3 = "azure3"
    azure4 = "azure4"
    SlateBlue1 = "SlateBlue1"
    SlateBlue2 = "SlateBlue2"
    SlateBlue3 = "SlateBlue3"
    SlateBlue4 = "SlateBlue4"
    RoyalBlue1 = "RoyalBlue1"
    RoyalBlue2 = "RoyalBlue2"
    RoyalBlue3 = "RoyalBlue3"
    RoyalBlue4 = "RoyalBlue4"
    blue2 = "blue2"
    blue4 = "blue4"
    DodgerBlue2 = "DodgerBlue2"
    DodgerBlue3 = "DodgerBlue3"
    DodgerBlue4 = "DodgerBlue4"
    SteelBlue1 = "SteelBlue1"
    SteelBlue2 = "SteelBlue2"
    SteelBlue3 = "SteelBlue3"
    SteelBlue4 = "SteelBlue4"
    DeepSkyBlue2 = "DeepSkyBlue2"
    DeepSkyBlue3 = "DeepSkyBlue3"
    DeepSkyBlue4 = "DeepSkyBlue4"
    SkyBlue1 = "SkyBlue1"
    SkyBlue2 = "SkyBlue2"
    SkyBlue3 = "SkyBlue3"
    SkyBlue4 = "SkyBlue4"
    LightSkyBlue1 = "LightSkyBlue1"
    LightSkyBlue2 = "LightSkyBlue2"
    LightSkyBlue3 = "LightSkyBlue3"
    LightSkyBlue4 = "LightSkyBlue4"
    SlateGray1 = "SlateGray1"
    SlateGray2 = "SlateGray2"
    SlateGray3 = "SlateGray3"
    SlateGray4 = "SlateGray4"
    LightSteelBlue1 = "LightSteelBlue1"
    LightSteelBlue2 = "LightSteelBlue2"
    LightSteelBlue3 = "LightSteelBlue3"
    LightSteelBlue4 = "LightSteelBlue4"
    LightBlue1 = "LightBlue1"
    LightBlue2 = "LightBlue2"
    LightBlue3 = "LightBlue3"
    LightBlue4 = "LightBlue4"
    LightCyan2 = "LightCyan2"
    LightCyan3 = "LightCyan3"
    LightCyan4 = "LightCyan4"
    PaleTurquoise1 = "PaleTurquoise1"
    PaleTurquoise2 = "PaleTurquoise2"
    PaleTurquoise3 = "PaleTurquoise3"
    PaleTurquoise4 = "PaleTurquoise4"
    CadetBlue1 = "CadetBlue1"
    CadetBlue2 = "CadetBlue2"
    CadetBlue3 = "CadetBlue3"
    CadetBlue4 = "CadetBlue4"
    turquoise1 = "turquoise1"
    turquoise2 = "turquoise2"
    turquoise3 = "turquoise3"
    turquoise4 = "turquoise4"
    cyan2 = "cyan2"
    cyan3 = "cyan3"
    cyan4 = "cyan4"
    DarkSlateGray1 = "DarkSlateGray1"
    DarkSlateGray2 = "DarkSlateGray2"
    DarkSlateGray3 = "DarkSlateGray3"
    DarkSlateGray4 = "DarkSlateGray4"
    aquamarine2 = "aquamarine2"
    aquamarine4 = "aquamarine4"
    DarkSeaGreen1 = "DarkSeaGreen1"
    DarkSeaGreen2 = "DarkSeaGreen2"
    DarkSeaGreen3 = "DarkSeaGreen3"
    DarkSeaGreen4 = "DarkSeaGreen4"
    SeaGreen1 = "SeaGreen1"
    SeaGreen2 = "SeaGreen2"
    SeaGreen3 = "SeaGreen3"
    PaleGreen1 = "PaleGreen1"
    PaleGreen2 = "PaleGreen2"
    PaleGreen3 = "PaleGreen3"
    PaleGreen4 = "PaleGreen4"
    SpringGreen2 = "SpringGreen2"
    SpringGreen3 = "SpringGreen3"
    SpringGreen4 = "SpringGreen4"
    green2 = "green2"
    green3 = "green3"
    green4 = "green4"
    chartreuse2 = "chartreuse2"
    chartreuse3 = "chartreuse3"
    chartreuse4 = "chartreuse4"
    OliveDrab1 = "OliveDrab1"
    OliveDrab2 = "OliveDrab2"
    OliveDrab4 = "OliveDrab4"
    DarkOliveGreen1 = "DarkOliveGreen1"
    DarkOliveGreen2 = "DarkOliveGreen2"
    DarkOliveGreen3 = "DarkOliveGreen3"
    DarkOliveGreen4 = "DarkOliveGreen4"
    khaki1 = "khaki1"
    khaki2 = "khaki2"
    khaki3 = "khaki3"
    khaki4 = "khaki4"
    LightGoldenrod1 = "LightGoldenrod1"
    LightGoldenrod2 = "LightGoldenrod2"
    LightGoldenrod3 = "LightGoldenrod3"
    LightGoldenrod4 = "LightGoldenrod4"
    LightYellow2 = "LightYellow2"
    LightYellow3 = "LightYellow3"
    LightYellow4 = "LightYellow4"
    yellow2 = "yellow2"
    yellow3 = "yellow3"
    yellow4 = "yellow4"
    gold2 = "gold2"
    gold3 = "gold3"
    gold4 = "gold4"
    goldenrod1 = "goldenrod1"
    goldenrod2 = "goldenrod2"
    goldenrod3 = "goldenrod3"
    goldenrod4 = "goldenrod4"
    DarkGoldenrod1 = "DarkGoldenrod1"
    DarkGoldenrod2 = "DarkGoldenrod2"
    DarkGoldenrod3 = "DarkGoldenrod3"
    DarkGoldenrod4 = "DarkGoldenrod4"
    RosyBrown1 = "RosyBrown1"
    RosyBrown2 = "RosyBrown2"
    RosyBrown3 = "RosyBrown3"
    RosyBrown4 = "RosyBrown4"
    IndianRed1 = "IndianRed1"
    IndianRed2 = "IndianRed2"
    IndianRed3 = "IndianRed3"
    IndianRed4 = "IndianRed4"
    sienna1 = "sienna1"
    sienna2 = "sienna2"
    sienna3 = "sienna3"
    sienna4 = "sienna4"
    burlywood1 = "burlywood1"
    burlywood2 = "burlywood2"
    burlywood3 = "burlywood3"
    burlywood4 = "burlywood4"
    wheat1 = "wheat1"
    wheat2 = "wheat2"
    wheat3 = "wheat3"
    wheat4 = "wheat4"
    tan1 = "tan1"
    tan2 = "tan2"
    tan4 = "tan4"
    chocolate1 = "chocolate1"
    chocolate2 = "chocolate2"
    chocolate3 = "chocolate3"
    firebrick1 = "firebrick1"
    firebrick2 = "firebrick2"
    firebrick3 = "firebrick3"
    firebrick4 = "firebrick4"
    brown1 = "brown1"
    brown2 = "brown2"
    brown3 = "brown3"
    brown4 = "brown4"
    salmon1 = "salmon1"
    salmon2 = "salmon2"
    salmon3 = "salmon3"
    salmon4 = "salmon4"
    LightSalmon2 = "LightSalmon2"
    LightSalmon3 = "LightSalmon3"
    LightSalmon4 = "LightSalmon4"
    orange2 = "orange2"
    orange3 = "orange3"
    orange4 = "orange4"
    DarkOrange1 = "DarkOrange1"
    DarkOrange2 = "DarkOrange2"
    DarkOrange3 = "DarkOrange3"
    DarkOrange4 = "DarkOrange4"
    coral1 = "coral1"
    coral2 = "coral2"
    coral3 = "coral3"
    coral4 = "coral4"
    tomato2 = "tomato2"
    tomato3 = "tomato3"
    tomato4 = "tomato4"
    OrangeRed2 = "OrangeRed2"
    OrangeRed3 = "OrangeRed3"
    OrangeRed4 = "OrangeRed4"
    red2 = "red2"
    red3 = "red3"
    red4 = "red4"
    DeepPink2 = "DeepPink2"
    DeepPink3 = "DeepPink3"
    DeepPink4 = "DeepPink4"
    HotPink1 = "HotPink1"
    HotPink2 = "HotPink2"
    HotPink3 = "HotPink3"
    HotPink4 = "HotPink4"
    pink1 = "pink1"
    pink2 = "pink2"
    pink3 = "pink3"
    pink4 = "pink4"
    LightPink1 = "LightPink1"
    LightPink2 = "LightPink2"
    LightPink3 = "LightPink3"
    LightPink4 = "LightPink4"
    PaleVioletRed1 = "PaleVioletRed1"
    PaleVioletRed2 = "PaleVioletRed2"
    PaleVioletRed3 = "PaleVioletRed3"
    PaleVioletRed4 = "PaleVioletRed4"
    maroon1 = "maroon1"
    maroon2 = "maroon2"
    maroon3 = "maroon3"
    maroon4 = "maroon4"
    VioletRed1 = "VioletRed1"
    VioletRed2 = "VioletRed2"
    VioletRed3 = "VioletRed3"
    VioletRed4 = "VioletRed4"
    magenta2 = "magenta2"
    magenta3 = "magenta3"
    magenta4 = "magenta4"
    orchid1 = "orchid1"
    orchid2 = "orchid2"
    orchid3 = "orchid3"
    orchid4 = "orchid4"
    plum1 = "plum1"
    plum2 = "plum2"
    plum3 = "plum3"
    plum4 = "plum4"
    MediumOrchid1 = "MediumOrchid1"
    MediumOrchid2 = "MediumOrchid2"
    MediumOrchid3 = "MediumOrchid3"
    MediumOrchid4 = "MediumOrchid4"
    DarkOrchid1 = "DarkOrchid1"
    DarkOrchid2 = "DarkOrchid2"
    DarkOrchid3 = "DarkOrchid3"
    DarkOrchid4 = "DarkOrchid4"
    purple1 = "purple1"
    purple2 = "purple2"
    purple3 = "purple3"
    purple4 = "purple4"
    MediumPurple1 = "MediumPurple1"
    MediumPurple2 = "MediumPurple2"
    MediumPurple3 = "MediumPurple3"
    MediumPurple4 = "MediumPurple4"
    thistle1 = "thistle1"
    thistle2 = "thistle2"
    thistle3 = "thistle3"
    thistle4 = "thistle4"
    gray0 = "gray0"
    gray20 = "gray20"
    gray40 = "gray40"
    gray60 = "gray60"
    gray80 = "gray80"
    gray100 = "gray100"



